# OpalIM Class Reference

`#include <im.h>`

Collaboration diagram for OpalIM:

[legend]

## Public Types

| Text
| CompositionIndication_Idle
| CompositionIndication_Active
| Disposition
enum | Type { Text, CompositionIndication_Idle, CompositionIndication_Active, Disposition }

## Public Member Functions

| OpalIM ()

## Static Public Member Functions

static PAtomicInteger::IntegerType | GetNextMessageId ()

## Data Fields

enum OpalIM::Type | m_type
PURL | m_to
PURL | m_from
PString | m_fromName
PString | m_mimeType
PString | m_body
PString | m_conversationId
OpalTransportAddress | m_fromAddr
OpalTransportAddress | m_toAddr
PAtomicInteger::IntegerType | m_messageId

## Member Enumeration Documentation

enum OpalIM::Type

Enumerator:

  Text |
  CompositionIndication_Idle |
  CompositionIndication_Active |
  Disposition |

## Constructor & Destructor Documentation

OpalIM::OpalIM | ( |  | ) |

## Member Function Documentation

static PAtomicInteger::IntegerType OpalIM::GetNextMessageId | ( |  | ) | `[static]`

## Field Documentation

PString OpalIM::m_body

PString OpalIM::m_conversationId

PURL OpalIM::m_from

OpalTransportAddress OpalIM::m_fromAddr

PString OpalIM::m_fromName

PAtomicInteger::IntegerType OpalIM::m_messageId

PString OpalIM::m_mimeType

PURL OpalIM::m_to

OpalTransportAddress OpalIM::m_toAddr

enum OpalIM::Type OpalIM::m_type

The documentation for this class was generated from the following file:

- im.h